<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_event.php                                          ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("events");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_event.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_events_href", "admin_events.php");
	$t->set_var("admin_event_href", "admin_event.php");
	$t->set_var("event_date_format", join("", $date_edit_format));

	$r = new VA_Record($table_prefix . "events");
	$r->return_page = "admin_events.php";

	$is_html_options = 
		array( 
			array(1, "HTML"), array(0, "Plain Text")
		);

	$r->add_where("event_id", INTEGER);
	$r->add_textbox("event_date", DATETIME, "Event Date");
	$r->change_property("event_date", REQUIRED, true);
	$r->change_property("event_date", VALUE_MASK, $date_edit_format);
	$r->add_textbox("event_title", TEXT, "Event Title");
	$r->change_property("event_title", REQUIRED, true);
	$r->add_textbox("preview_text", TEXT);
	$r->add_textbox("event_body", TEXT);
	$r->add_select("is_html", INTEGER, $is_html_options);
	$r->add_checkbox("is_showing", INTEGER);
	$r->parameters["is_showing"][DEFAULT_VALUE] = 1;
	$r->add_checkbox("show_on_index", INTEGER);

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>