<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_faq.php                                            ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("faq");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_faq.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_faq_href", "admin_faq.php");
	$t->set_var("admin_faqs_href", "admin_faqs.php");

	$r = new VA_Record($table_prefix . "faq");
	$r->return_page = "admin_faqs.php";

	$r->add_where("faq_id", INTEGER);

	$r->add_textbox("faq_order", INTEGER, "Question Order");
	$r->parameters["faq_order"][REQUIRED] = true;
	$r->add_textbox("question", TEXT, "Question");
	$r->parameters["question"][REQUIRED] = true;
	$r->add_textbox("answer", TEXT, "Answer");
	$r->parameters["answer"][REQUIRED] = true;

	$r->process();


	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>