<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_forum.php                                          ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("forum");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_forum.html");

	$t->set_var("admin_forum_href", "admin_forum.php");
	$t->set_var("admin_forum_thread_href", "admin_forum_thread.php");
	$t->set_var("admin_forum_topic_href", "admin_forum_topic.php");
	$t->set_var("admin_forum_settings_href", "admin_forum_settings.php");
	$t->set_var("admin_href", "admin.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_forum.php");
	$s->set_default_sorting(5, "desc");
	$s->set_sorter("No", "sorter_id", "1", "thread_id");
	$s->set_sorter("Topic", "sorter_topic", "2", "topic");
	$s->set_sorter("Nickname", "sorter_user_name", "3", "user_name");
	$s->set_sorter("Email", "sorter_user_email", "4", "user_email");
	$s->set_sorter("Last Updated", "sorter_modified", "5", "date_modified");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_forum.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "forum");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;

	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);
	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$sql  = " SELECT thread_id, topic, user_name, user_email, date_modified ";
	$sql .= " FROM " . $table_prefix . "forum s ";
	$sql .= $s->order_by;
	$db->query($sql);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do
		{
			$t->set_var("thread_id", $db->f("thread_id"));
			$t->set_var("topic", $db->f("topic"));
			$t->set_var("user_name", $db->f("user_name"));
			$t->set_var("user_email", $db->f("user_email"));

			$date_modified = $db->f("date_modified", DATETIME);
			$date_modified_string = va_date($datetime_show_format, $date_modified);
			$t->set_var("date_modified", $date_modified_string);

			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>