<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_news.php                                           ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("news");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_news.html");

	$t->set_var("admin_news_edit_href", "admin_news_edit.php");
	$t->set_var("admin_news", "admin_news.php");
	$t->set_var("admin_settings_list", "admin_settings_list.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_news.php");
	$s->set_default_sorting(3, "desc");
	$s->set_sorter("ID", "sorter_news_id", "1", "news_id");
	$s->set_sorter("Headline", "sorter_news_title", "2", "news_title");
	$s->set_sorter("Date", "sorter_news_date", "3", "news_date");
	$s->set_sorter("Show on Site", "sorter_is_showing", "4", "is_showing");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_news.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "news");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "news " . $s->order_by);
	if($db->next_record())
	{
		$t->parse("sorters", false);
		$t->set_var("no_records", "");
		do
		{
			$t->set_var("news_id", $db->f("news_id"));
			$t->set_var("news_title", $db->f("news_title"));
			$news_date = $db->f("news_date", DATETIME);
			$t->set_var("news_date", va_date($date_show_format, $news_date));
			$is_showing = $db->f("is_showing") ? "Yes" : "No";
			$t->set_var("is_showing", $is_showing);
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("sorters", "");
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>