<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_news_edit.php                                      ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("news");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_news_edit.html");

	$t->set_var("news_date_format", join("", $date_edit_format));
	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_news_href", "admin_news.php");
	$t->set_var("admin_news_edit_href", "admin_news_edit.php");

	$r = new VA_Record($table_prefix . "news");
	$r->return_page = "admin_news.php";

	$is_html_options = 
		array( 
			array(1, "HTML"), array(0, "Plain Text")
		);

	$r->add_where("news_id", INTEGER);
	$r->add_textbox("news_date", DATETIME, "Date");
	$r->change_property("news_date", REQUIRED, true);
	$r->change_property("news_date", VALUE_MASK, $date_edit_format);
	$r->add_textbox("news_title", TEXT, "Headline");
	$r->change_property("news_title", REQUIRED, true);
	$r->add_textbox("author", TEXT);
	$r->add_textbox("preview_text", TEXT);
	$r->add_textbox("news_body", TEXT);
	$r->add_select("is_html", INTEGER, $is_html_options);
	$r->parameters["is_html"][DEFAULT_VALUE] = 0;
	$r->add_checkbox("is_showing", INTEGER);
	$r->parameters["is_showing"][DEFAULT_VALUE] = 1;
	$r->add_checkbox("show_on_index", INTEGER);

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>