<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_order_status.php                                   ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("sales_orders");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_order_status.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_order_statuses_href", "admin_order_statuses.php");
	$t->set_var("admin_order_status_href", "admin_order_status.php");

	$r = new VA_Record($table_prefix . "order_statuses");
	$r->return_page = "admin_order_statuses.php";

	$r->add_where("status_id", INTEGER);

	$r->add_textbox("status_name", TEXT, "Status Name");
	$r->parameters["status_name"][REQUIRED] = true;

	$activations_values = 
		array( 
			array(1, "Activate"), array(0, "Disable")
		);

	$r->add_radio("download_activation", INTEGER, $activations_values);
	$r->parameters["download_activation"][DEFAULT_VALUE] = 2;

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
