<?
	$table_name = $table_prefix . "categories";
	$table_title = "Categories";
	$min_column_allowed = 1;

	$db_columns = array(
		"category_id" => array("Category ID", INTEGER, 1, false),
		"is_showing" => array("Is Category Shown", INTEGER, 2, true, 1),
		"parent_category_id" => array("Parent Category ID", INTEGER, 4, true, $category_id),
		"category_name" => array("Category Name", TEXT, 2, true),
		"category_path" => array("Category Path", TEXT, 4, true, $tree->get_path($category_id)),
		"category_order" => array("Category Order", INTEGER, 2, true, 1),
		"short_description" => array("Short Description", TEXT, 2, false),
		"full_description" => array("Full Description", TEXT, 2, false),
		"image" => array("Image", TEXT, 2, false),
	);

	$db_aliases["id"] = "category_id";
	$db_aliases["category_id"] = "category_id";
	$db_aliases["category id"] = "category_id";
	$db_aliases["title"] = "category_name";
	$db_aliases["category"] = "category_name";
	$db_aliases["category title"] = "category_name";
	$db_aliases["category name"] = "category_name";
	$db_aliases["category_title"] = "category_name";
	$db_aliases["category_name"] = "category_name";
	$db_aliases["category shown"] = "is_showing";
	$db_aliases["category_shown"] = "is_showing";
	$db_aliases["is show"] = "is_showing";
	$db_aliases["is shown"] = "is_showing";
	$db_aliases["is showning"] = "is_showing";
	$db_aliases["is_show"] = "is_showing";
	$db_aliases["is_shown"] = "is_showing";
	$db_aliases["is_showning"] = "is_showing";
	$db_aliases["category order"] = "category_order";
	$db_aliases["category_order"] = "category_order";

?>