<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_users.php                                          ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	check_admin_security("site_users");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_users.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_user_href", "admin_user.php");
	$t->set_var("admin_users_href", "admin_users.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_users.php");
	$s->set_sorter("ID", "sorter_user_id", "1", "user_id");
	$s->set_sorter("User Login", "sorter_login", "2", "login");
	$s->set_sorter("E-mail", "sorter_email", "3", "email");
	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_users.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "users");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = get_param("q") > 0 ? get_param("q") : 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$sql  = " SELECT user_id, name, login, first_name, last_name, email FROM " . $table_prefix . "users ";

	$db->query($sql . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do {
			$user_name = $db->f("name");
			if(!strlen($user_name)) {
				$user_name = $db->f("first_name") . " " . $db->f("last_name");
			}
			$t->set_var("user_id", $db->f("user_id"));
			$t->set_var("name", $user_name);
			$t->set_var("login", $db->f("login"));
			$t->set_var("email", $db->f("email"));
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>