<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  events.php                                               ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/sorter.php");
	include("./includes/navigator.php");
	include("./includes/date_functions.php");

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","events.html");
	$t->set_var("EVENTS_TITLE", EVENTS_TITLE);
	$t->set_var("READ_MORE_MSG", READ_MORE_MSG);
	$t->set_var("NO_EVENTS_MSG", NO_EVENTS_MSG);

	$t->set_var("event_href", "event.php");
	$t->set_var("events_href", "events.php");
	$t->set_var("current_href", "events.php");

	$n = new VA_Navigator($settings["templates_dir"], "navigator.html", "events.php");

	include("./header.php");
	include("./footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "events WHERE is_showing=1");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 10;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);
	$t->set_var("page", $page_number);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "events WHERE is_showing=1 ");
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do
		{
			$t->set_var("event_id", $db->f("event_id"));
			$t->set_var("event_title", $db->f("event_title"));
			$event_date = $db->f("event_date", DATETIME);
			$t->set_var("event_date", va_date($date_show_format, $event_date));

			$t->set_var("preview_text", $db->f("preview_text"));
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>