<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  header.php                                               ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once ("./block_login.php");
	include_once ("./block_search.php");

  $t->set_file("header", "header.html");
	$t->set_var("site_url", $settings["site_url"]);
	$t->set_var("menu", "");
	$request_uri = getenv("REQUEST_URI");;
	if ($request_uri) {
		$slash_position = strrpos ($request_uri, "/");
		$request_uri = ($slash_position === false) ? $request_uri : substr($request_uri, $slash_position + 1);
	} 
	if (!$request_uri) {
		if(!isset($script_name)) {
			$script_name = isset($PHP_SELF) ? basename($PHP_SELF) : basename(getenv("SCRIPT_NAME"));
		}
		$query_string = getenv("QUERY_STRING");
		$request_uri = ($query_string) ? $script_name . "?" . $query_string : $script_name;
	}

	$header_where = get_session("session_user_id") ? " show_logged=1 " : " show_non_logged=1 ";
	$sql  = " SELECT * FROM " . $table_prefix . "header_links ";
	$sql .= " WHERE " . $header_where . " AND layout_id=" . $settings["layout_id"];
	$sql .= " ORDER BY menu_order ";
	$db->query($sql);
	while($db->next_record())
	{
		$menu_image = $db->f("menu_image");
		$menu_image_active = $db->f("menu_image_active");
		$menu_title = $db->f("menu_title");
		$menu_url = $db->f("menu_url");
		$menu_basename = basename($menu_url);
		if($request_uri == $menu_basename && $menu_image_active) {
			$menu_image = $menu_image_active;
		}
    $t->set_var("menu_href", htmlspecialchars($db->f("menu_url")));
    $t->set_var("menu_title", htmlspecialchars($menu_title));
		if($menu_image && file_exists($menu_image))
		{
      $image_size = @GetImageSize($menu_image);
      $t->set_var("alt", htmlspecialchars($menu_title));
      $t->set_var("src", htmlspecialchars($menu_image));
			if(is_array($image_size))
			{
        $t->set_var("width", "width=\"" . $image_size[0] . "\"");
 	      $t->set_var("height", "height=\"" . $image_size[1] . "\"");
			}
			else
			{
        $t->set_var("width", "");
 	      $t->set_var("height", "");
			}
			if($t->block_exists("menu_image")) {
				$t->parse("menu_image", false);
			}
		}
		else
		{
			if($menu_image) {
				$t->set_var("width", "width=125");
				$t->set_var("height", "height=30");
				$t->set_var("alt", "Bad image path");
			} else {
				$t->set_var("width", "width=0");
				$t->set_var("height", "height=0");
				$t->set_var("alt", "");
			}
			$t->set_var("src", "");
			$t->set_var("menu_image", "");
		}
		
		$t->parse("menu", true);
	}

	$t->set_var("index_href", "index.php");
	$t->set_var("products_href", "products.php");
	$t->set_var("basket_href", "basket.php");
	$t->set_var("user_profile_href", "user_profile.php");
	$t->set_var("admin_href", "admin.php");
	$t->set_var("help_href", "page.php?page=help");
	$t->set_var("about_href", "page.php?page=about");

	if($t->block_exists("page_login_form")) {
		login_form("", "page_");
	}
	if($t->block_exists("search_category_id")) {
		search_form("");
	}
	if(!isset($header_title)) { $header_title = ""; } 
	$t->set_var("header_title", $header_title);

	$t->parse("header", false);

?>