<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  order_confirmation.php                                   ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/record.php");
	include("./includes/shopping_cart.php");
	include("./includes/order_items.php");
	include("./includes/date_functions.php");
	include("./includes/parameters.php");
	include_once ("./messages/".$language_code."/cart_messages.php");

	$order_errors = check_order();

	$currency_left = ($settings["currency_position"] == 1) ? $settings["currency_sign"] : "";
	$currency_right = ($settings["currency_position"] == 2) ? $settings["currency_sign"] : "";

	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='order_info'";
	$db->query($sql);
	while($db->next_record()) {
		$order_info[$db->f("setting_name")] = $db->f("setting_value");
	}

	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='credit_card_info'";
	$db->query($sql);
	while($db->next_record()) {
		$credit_card_info[$db->f("setting_name")] = $db->f("setting_value");
	}

	$sql = "SELECT setting_name,setting_value FROM " . $table_prefix . "global_settings WHERE setting_type='order_confirmation'";
	$db->query($sql);
	while($db->next_record()) {
		$order_confirmation[$db->f("setting_name")] = $db->f("setting_value");
	}

	$order_id = get_param("order_id");
	$vc = get_param("vc");
	$r = new VA_Record($table_prefix . "orders");
	$r->errors = $order_errors;

	$r->add_where("order_id", INTEGER);
	$r->set_value("order_id", get_param("order_id"));

	$r->add_textbox("order_status", INTEGER);
	$r->set_value("order_status", 3);

	$action = get_param("action");
	$return_page = "order_final.php?order_id=" . urlencode($order_id) . "&vc=" . urlencode($vc);
	$items_text = "";
	
  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","order_confirmation.html");
	$t->set_var("site_url", $settings["site_url"]);

	$t->set_var("CHECKOUT_CONFIRM_TITLE", CHECKOUT_CONFIRM_TITLE);     
	$t->set_var("CART_TITLE",          CART_TITLE);     
	$t->set_var("EMPTY_CART_MSG",      EMPTY_CART_MSG);     
	$t->set_var("PROD_TITLE_COLUMN",   PROD_TITLE_COLUMN);     
	$t->set_var("PROD_QTY_COLUMN",     PROD_QTY_COLUMN);         
	$t->set_var("PROD_PRICE_COLUMN",   PROD_PRICE_COLUMN);       
	$t->set_var("PROD_TOTAL_COLUMN",   PROD_TOTAL_COLUMN);  
	$t->set_var("GOODS_TOTAL_MSG",     GOODS_TOTAL_MSG); 
	$t->set_var("CART_TOTAL_MSG",      CART_TOTAL_MSG);     

	$t->set_var("PERSONAL_DETAILS_MSG", PERSONAL_DETAILS_MSG);
	$t->set_var("DELIVERY_DETAILS_MSG", DELIVERY_DETAILS_MSG);
	$t->set_var("PAYMENT_DETAILS_MSG",  PAYMENT_DETAILS_MSG);
	$t->set_var("DELIVERY_MSG",         DELIVERY_MSG);
	$t->set_var("INVOICE_TO_MSG",       INVOICE_TO_MSG);
	$t->set_var("DELIVERY_TO_MSG",      DELIVERY_TO_MSG);

	$t->set_var("SAME_DETAILS_MSG",   SAME_DETAILS_MSG);
	$t->set_var("REGISTER_BUTTON",    REGISTER_BUTTON);
	$t->set_var("UPDATE_BUTTON",      UPDATE_BUTTON);
	$t->set_var("CANCEL_BUTTON",      CANCEL_BUTTON);
	$t->set_var("LOGIN_FIELD",        LOGIN_FIELD);
	$t->set_var("PASSWORD_FIELD",     PASSWORD_FIELD);
	$t->set_var("CONFIRM_PASS_FIELD", CONFIRM_PASS_FIELD);
	$t->set_var("NAME_FIELD",         NAME_FIELD);
	$t->set_var("FIRST_NAME_FIELD",   FIRST_NAME_FIELD);
	$t->set_var("LAST_NAME_FIELD",    LAST_NAME_FIELD);
	$t->set_var("COMPANY_NAME_FIELD", COMPANY_NAME_FIELD);
	$t->set_var("EMAIL_FIELD",        EMAIL_FIELD);
	$t->set_var("STREET_FIRST_FIELD", STREET_FIRST_FIELD);
	$t->set_var("STREET_SECOND_FIELD",STREET_SECOND_FIELD);
	$t->set_var("CITY_FIELD",         CITY_FIELD);
	$t->set_var("PROVINCE_FIELD",     PROVINCE_FIELD);
	$t->set_var("STATE_FIELD",        STATE_FIELD);
	$t->set_var("ZIP_FIELD",          ZIP_FIELD);
	$t->set_var("COUNTRY_FIELD",      COUNTRY_FIELD);
	$t->set_var("PHONE_FIELD",        PHONE_FIELD);
	$t->set_var("DAYTIME_PHONE_FIELD",DAYTIME_PHONE_FIELD);
	$t->set_var("EVENING_PHONE_FIELD",EVENING_PHONE_FIELD);
	$t->set_var("CELL_PHONE_FIELD",   CELL_PHONE_FIELD);
	$t->set_var("FAX_FIELD",          FAX_FIELD);

	$t->set_var("CC_NAME_FIELD",         CC_NAME_FIELD);
	$t->set_var("CC_NAME_DESC",          CC_NAME_DESC);
	$t->set_var("CC_NUMBER_FIELD",       CC_NUMBER_FIELD);
	$t->set_var("CC_START_DATE_FIELD",   CC_START_DATE_FIELD);
	$t->set_var("CC_EXPIRY_DATE_FIELD",  CC_EXPIRY_DATE_FIELD);
	$t->set_var("CC_TYPE_FIELD",         CC_TYPE_FIELD);
	$t->set_var("CC_ISSUE_NUMBER_FIELD", CC_ISSUE_NUMBER_FIELD);
	$t->set_var("CC_ISSUE_NUMBER_DESC",  CC_ISSUE_NUMBER_DESC);
	$t->set_var("CC_SECURITY_CODE_FIELD",CC_SECURITY_CODE_FIELD);
	$t->set_var("PAY_WITHOUT_CC_MSG",    PAY_WITHOUT_CC_MSG);
	$t->set_var("PAY_WITHOUT_CC_FIELD",  PAY_WITHOUT_CC_FIELD);
	$t->set_var("PAY_WITHOUT_CC_DESC",   PAY_WITHOUT_CC_DESC);

	$t->set_var("CONTINUE_BUTTON",    CONTINUE_BUTTON);

	if(strlen($action))
	{

		if($r->is_empty("order_id")) {
			$r->errors .= "Missing <b>Order number</b>.<br>";
		}

		if(!strlen($r->errors))
		{
			if($r->update_record())
			{
				if($order_confirmation["admin_notification"] || $order_confirmation["user_notification"])
				{
					$order_admin_email = $order_confirmation["admin_email"] ? $order_confirmation["admin_email"] : $settings["admin_email"];

					$items_text = show_order_items($order_id);
					$t->set_var("cc_number_last", get_session("cc_number_last"));
					$sql = "SELECT * FROM " . $table_prefix . "orders WHERE order_id=" . $db->tosql($order_id, INTEGER);
					$db->query($sql);
					$db->next_record();
					$t->set_vars($db->Record);
					$t->set_var("goods_total", $currency_left . number_format($db->f("goods_total"), 2) . $currency_right);
					$t->set_var("shipping_cost", $currency_left . number_format($db->f("shipping_cost"), 2) . $currency_right);
					$t->set_var("tax_percent", number_format($db->f("tax_percent"), 2) . "%");
					$order_placed_date = $db->f("order_placed_date", DATETIME);
					$order_placed_date_string = va_date($datetime_show_format, $order_placed_date);
					$t->set_var("order_placed_date", $order_placed_date_string);
					$state_code = $db->f("state_code");
					$country_code = $db->f("country_code");
					$delivery_state_code = $db->f("delivery_state_code");
					$delivery_country_code = $db->f("delivery_country_code");
					$cc_type = $db->f("cc_type");
					$cc_start = va_date(array("MM", " / ", "YYYY"), $db->f("cc_start_date", DATETIME));
					$cc_expiry = va_date(array("MM", " / ", "YYYY"), $db->f("cc_expiry_date", DATETIME));

					$state = get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($state_code, TEXT));
					$delivery_state = get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($delivery_state_code, TEXT));
					$country = get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($country_code, TEXT));
					$delivery_country = get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($delivery_country_code, TEXT));
					$cc_type = get_db_value("SELECT credit_card_name FROM " . $table_prefix . "credit_cards WHERE credit_card_id=" . $db->tosql($cc_type, INTEGER));

					$t->set_var("state", $state);
					$t->set_var("country", $country);
					$t->set_var("delivery_state", $delivery_state);
					$t->set_var("delivery_country", $delivery_country);
					$t->set_var("cc_type", $cc_type);
					$t->set_var("cc_start_date", $cc_start);
					$t->set_var("cc_expiry_date", $cc_expiry);

					if($order_confirmation["admin_notification"])
					{
						$t->set_block("admin_subject", $order_confirmation["admin_subject"]);
						$t->set_block("admin_message", $order_confirmation["admin_message"]);

						$mail_to = get_setting_value($order_confirmation, "admin_email", $settings["admin_email"]);
						$mail_from = get_setting_value($order_confirmation, "admin_mail_from", $settings["admin_email"]);
						$mail_cc = get_setting_value($order_confirmation, "cc_emails");
						$mail_bcc = get_setting_value($order_confirmation, "admin_mail_bcc");
						$mail_reply_to = get_setting_value($order_confirmation, "admin_mail_reply_to");
						$mail_return_path = get_setting_value($order_confirmation, "admin_mail_return_path");
						$mail_type = get_setting_value($order_confirmation, "admin_message_type");
						$email_headers = get_email_headers($mail_from, $mail_cc, $mail_bcc, $mail_reply_to, $mail_return_path, $mail_type);
				  
						if (!$mail_type) {
							$t->set_var("basket", $items_text);
							$t->set_var("items", $items_text);
						}

						$t->parse("admin_subject", false);
						$t->parse("admin_message", false);
						$admin_message = str_replace("\r", "", $t->get_var("admin_message"));
						mail($mail_to, $t->get_var("admin_subject"), $admin_message, $email_headers);
					}
					if($order_confirmation["user_notification"])
					{
						$t->set_block("user_subject", $order_confirmation["user_subject"]);
						$t->set_block("user_message", $order_confirmation["user_message"]);

						$mail_from = get_setting_value($order_confirmation, "user_mail_from", $settings["admin_email"]);
						$mail_cc = get_setting_value($order_confirmation, "user_mail_cc");
						$mail_bcc = get_setting_value($order_confirmation, "user_mail_bcc");
						$mail_reply_to = get_setting_value($order_confirmation, "user_mail_reply_to");
						$mail_return_path = get_setting_value($order_confirmation, "user_mail_return_path");
						$mail_type = get_setting_value($order_confirmation, "user_message_type");
						$email_headers = get_email_headers($mail_from, $mail_cc, $mail_bcc, $mail_reply_to, $mail_return_path, $mail_type);
				  
						if (!$mail_type) {
							$t->set_var("basket", $items_text);
							$t->set_var("items", $items_text);
						}

						$t->parse("user_subject", false);
						$t->parse("user_message", false);
						$user_email = strlen($db->f("email")) ? $db->f("email") : $db->f("delivery_email");
						$user_message = str_replace("\r", "", $t->get_var("user_message"));
						mail($user_email, $t->get_var("user_subject"), $user_message, $email_headers);
					}		 
				}		 
				set_session("cc_number_last", "");
				session_unregister("cc_number_last");
			}
			header("Location: " . $return_page);
			exit;
		}
	}

	if(!$order_errors) {
		$items_text = show_order_items($order_id);
	}

	$t->set_var("order_confirmation", "order_confirmation.php");
	$t->set_var("vc", htmlspecialchars(get_param("vc")));

	$personal_number = 0;
	$delivery_number = 0;
	for($i = 0; $i < sizeof($parameters); $i++)
	{                                    
		$r->add_textbox($parameters[$i], TEXT);
		$r->add_textbox("delivery_" . $parameters[$i], TEXT);
		if($order_info["show_" . $parameters[$i]] == 1) {
			$personal_number++;
		} else {
			$r->parameters[$parameters[$i]][SHOW] = false;
		}
		if($order_info["show_delivery_" . $parameters[$i]] == 1) {
			$delivery_number++;
		} else {
			$r->parameters["delivery_" . $parameters[$i]][SHOW] = false;
		}
	}

	$r->add_textbox("cc_name", TEXT);
	$r->add_textbox("cc_number", TEXT);
	$r->add_textbox("cc_start_date", DATETIME);
	$r->change_property("cc_start_date", VALUE_MASK, array("MM", " / ", "YYYY"));
	$r->add_textbox("cc_expiry_date", DATETIME);
	$r->change_property("cc_expiry_date", VALUE_MASK, array("MM", " / ", "YYYY"));
	$r->add_textbox("cc_type", INTEGER);
	$r->add_textbox("cc_issue_number", INTEGER);
	$r->add_textbox("cc_security_code", TEXT);
	$r->add_textbox("pay_without_cc", TEXT);
	if ($credit_card_info["show_pay_without_cc"] != 1) {
		$r->parameters["pay_without_cc"][SHOW] = false;
	}

	if(!$order_errors) {
		$r->get_db_values();
	}

	if($r->parameters["pay_without_cc"][SHOW] && !$r->is_empty("pay_without_cc")) {
		for($i = 0; $i < sizeof($cc_parameters); $i++) { 
			$r->parameters[$cc_parameters[$i]][SHOW] = false;
		}
	} else {
		$r->parameters["pay_without_cc"][SHOW] = false;
	}

	$r->set_value("state_code", get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($r->get_value("state_code"), TEXT)));
	$r->set_value("country_code", get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($r->get_value("country_code"), TEXT)));
	$r->set_value("delivery_state_code", get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($r->get_value("delivery_state_code"), TEXT)));
	$r->set_value("delivery_country_code", get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($r->get_value("delivery_country_code"), TEXT)));
	$r->set_value("cc_type", get_db_value("SELECT credit_card_name FROM " . $table_prefix . "credit_cards WHERE credit_card_id=" . $db->tosql($r->get_value("cc_type"), INTEGER)));

	$r->set_parameters();

	if($personal_number > 0) {
		$t->parse("personal", false);
	}

	if($delivery_number > 0) {
		$t->parse("delivery", false);
	}

	if(strlen(trim($order_confirmation["intro_text"])))
	{
		$t->set_var("intro_text", $order_confirmation["intro_text"]);
		$t->parse("intro_block", false);
	}

	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>