<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  reviews.php                                              ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/navigator.php");
	include("./includes/tree.php");
	include("./includes/record.php");
	include("./includes/date_functions.php");
	include_once ("./messages/".$language_code."/reviews_messages.php");

	// include blocks
	include_once ("./block_categories_list.php");
	include_once ("./block_category_description.php");
	include_once ("./block_top_products.php");
	include_once ("./block_reviews.php");
	include_once ("./block_custom.php");

	$page_settings = get_page_settings("details");

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","reviews.html");

	$t->set_var("current_href", "reviews.php");

	include_once ("./header.php");


	if(is_array($page_settings)) {
		foreach($page_settings as $setting_name => $setting_value)
		{
			if ($setting_name == "top_products_block") {
				top_products($setting_value);
			} else if ($setting_name == "search_block") {
				search_form($setting_value);
			} else if ($setting_name == "login_block") {
				login_form($setting_value);
			} else if ($setting_name == "categories_block") {
				categories($setting_value);
			} else if ($setting_name == "category_description_block") {
				category_description($setting_value);
			} else if ($setting_name == "details_block") {
				reviews($setting_value);
			} else if (preg_match("/^custom_block_/", $setting_name)) {
				custom_block($setting_value, substr($setting_name, 13));
			} 
		}
	}

	if(!get_setting_value($page_settings, "left_column_hide", 0)) {
		$t->set_var("left_column_width", get_setting_value($page_settings, "left_column_width", "20%"));
		$t->parse("left_column", false);
	}
	if(!get_setting_value($page_settings, "middle_column_hide", 0)) {
		$t->set_var("middle_column_width", get_setting_value($page_settings, "middle_column_width", "60%"));
		$t->parse("middle_column", false);
	}
	if(!get_setting_value($page_settings, "right_column_hide", 0)) {
		$t->set_var("right_column_width", get_setting_value($page_settings, "right_column_width", "20%"));
		$t->parse("right_column", false);
	}

	include_once ("./footer.php");

	$t->pparse("main");

?>