<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_forum_message.php                                  ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("forum");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_forum_message.html");


	$r = new VA_Record($table_prefix . "forum_messages");

	$r->add_where("message_id", INTEGER);
	$r->add_where("thread_id", INTEGER);

	$r->add_textbox("user_name", TEXT, "Nickname");
	$r->parameters["user_name"][REQUIRED] = true;
	$r->add_textbox("user_email", TEXT, "Email");
	$r->parameters["user_email"][REQUIRED] = true;
	$r->add_textbox("remote_address", TEXT);
	$r->add_textbox("message_text", TEXT, "Message");
	$r->parameters["message_text"][REQUIRED] = true;

	$r->get_form_parameters();

	$message_id = get_param("message_id");
	$thread_id = get_param("thread_id");
	$operation = get_param("operation");
	$return_page = "admin_forum_thread.php?thread_id=" . $thread_id . "#" . $message_id;
	$return_page_del = "admin_forum_thread.php?thread_id=" . $thread_id;

	$sql = " SELECT topic,replies FROM " . $table_prefix . "forum WHERE thread_id=" . $db->tosql($thread_id, INTEGER);
	$db->query($sql);
	if($db->next_record())
	{
		$topic = $db->f("topic");
		$replies = $db->f("replies");
		$t->set_var("topic", htmlspecialchars($topic));
	}
	else
	{
		header("Location: " . $return_page);
		exit;
	}
	
	if(strlen($operation))
	{
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		else if($operation == "delete" && $message_id)
		{
			$db->query("DELETE FROM " . $table_prefix . "forum_messages WHERE message_id=" . $db->tosql($message_id, INTEGER));
			$sql  = " UPDATE " . $table_prefix . "forum SET replies=" . $db->tosql(($replies - 1), INTEGER);
			$sql .= " WHERE thread_id=" . $db->tosql($thread_id, INTEGER);
			$db->query($sql);

			header("Location: " . $return_page_del);
			exit;
		}

		$is_valid = $r->validate();

		if($is_valid && $message_id)
		{
			$r->update_record();
			header("Location: " . $return_page);
			exit;
		}
	}
	else if(strlen($r->get_value("message_id")))
	{
		$r->get_db_values();
	}

	$r->set_form_parameters();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->set_var("admin_forum_href", "admin_forum.php");
	$t->set_var("admin_forum_thread_href", "admin_forum_thread.php");
	$t->set_var("admin_forum_message_href", "admin_forum_message.php");
	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>
