<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_login.php                                          ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_login.html");

	$t->set_var("admin_login_href", "admin_login.php");

	$return_page = get_param("return_page");
	if(!strlen($return_page)) $return_page = "admin.php";

	$operation = get_param("operation");
	$errors = false; $login = "";
	if(strlen($operation))
	{
		if($operation == "cancel")
		{
			header("Location: index.php");
			exit;
		}
		else if($operation == "logout")
		{
			set_session("session_admin_id", "");
			set_session("session_admin_privilege_id", "");
			set_session("session_admin_name", "");
			set_session("session_admin_permissions", "");
		}
		else
		{

			$login = get_param("login");
			$password = get_param("password");
			
			if(!strlen($login)) {
				$t->parse("login_error", false);
				$errors = true;
			}
	  
			if(!strlen($password)) {
				$t->parse("password_error", false);
				$errors = true;
			}
			
			if(!$errors)
			{
				$sql  = " SELECT * FROM " . $table_prefix . "admins WHERE ";
				$sql .= " login=" . $db->tosql($login, TEXT);
				$sql .= " AND password=" . $db->tosql($password, TEXT);
				$db->query($sql);
				if($db->next_record())
				{
					$privilege_id = $db->f("privilege_id");
					set_session("session_admin_id", $db->f("admin_id"));
					set_session("session_admin_privilege_id", $db->f("privilege_id"));
					set_session("session_admin_name", $db->f("admin_name"));

					$permissions = array();
					$sql  = " SELECT block_name, permission FROM " . $table_prefix . "admin_privileges_settings ";
					$sql .= " WHERE privilege_id=" . $db->tosql($privilege_id, INTEGER);
					$db->query($sql);
					while($db->next_record()) {
						$block_name = $db->f("block_name");
						$permissions[$block_name] = $db->f("permission");
					}
					set_session("session_admin_permissions", $permissions);

					header("Location: " . $return_page);
					exit;

				}
				else
				{
					$t->parse("login_password_error", false);
					$errors = true;
				}
			}
		}
	}

	if(get_session("session_admin_id"))	
	{
		$t->set_var("admin_name", get_session("session_admin_name"));
		$t->set_var("operation", "logout");
		$t->set_var("login_form", "");
		$t->parse("logout_form", false);
	}
	else
	{
		$t->set_var("return_page", htmlspecialchars($return_page));
		$t->set_var("login", htmlspecialchars($login));
		$t->set_var("operation", "login");
		$t->set_var("logout_form", "");
		$t->parse("login_form", false);
	}

	$type_error = get_param("type_error");
	if($type_error == 2) {
		$t->parse("access_error", false);
		$errors = true;
	}

	if($errors) {
		$t->parse("errors", false);
	}	else {
		$t->set_var("errors", "");
	}

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>