<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  articles_list.php                                        ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/
                           

	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/tree.php");

	check_admin_security("articles_categories");

  	$t = new VA_Template($settings["admin_templates_dir"]);
  	$t->set_file("main","articles_list.html");

	// set files names
	$t->set_var("articles_list_href", "articles_list.php");
	$t->set_var("articles_category_edit_href", "articles_category_edit.php");
	$t->set_var("article_href", "article.php");
	$t->set_var("articles_categories_href", "articles_categories.php");
	$t->set_var("articles_categories_order_href", "articles_categories_order.php");
	$t->set_var("articles_order_href", "articles_order.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	$category_id = get_param("category_id");
	if(!strlen($category_id)) $category_id = "0";
	// get search parameters
	$s = trim(get_param("s"));
	$sc = get_param("sc");
	$search = strlen($s) ? true : false;
	if($search && $sc) { $category_id = $sc; }
	$sa = "";


	$tree = new VA_Tree("category_id", "category_name", "parent_category_id", $table_prefix . "articles_categories", "tree");
	$tree->show($category_id);

	$sql  = " SELECT full_description FROM " . $table_prefix . "articles_categories WHERE category_id = " . $db->tosql($category_id, INTEGER);
	$db->query($sql);
	if($db->next_record())
		$t->set_var("full_description", $db->f("full_description"));
	else
		$t->set_var("full_description", "");

	$t->set_var("parent_category_id", $category_id);
	$sql  = " SELECT category_id, category_name ";
	$sql .= " FROM " . $table_prefix . "articles_categories WHERE parent_category_id = " . $db->tosql($category_id, INTEGER);
	$sql .= " ORDER BY category_order ";
	$db->query($sql);
	if($db->next_record())
	{
		$t->parse("categories_order_link", false);
		$t->set_var("no_categories", "");
		do
		{
			$t->set_var("category_id", $db->f("category_id"));
			$t->set_var("category_name", $db->f("category_name"));
			$t->parse("articles_categories");
		} while ($db->next_record());
		$t->parse("categories_header", false);
	}
	else
	{
		$t->set_var("articles_categories", "");
		$t->set_var("categories_order_link", "");
		$t->parse("no_categories");
	}

	$sql  = " SELECT a.article_id, a.article_title, aa.category_id ";
	$sql .= " FROM " . $table_prefix . "articles a, " . $table_prefix . "articles_assigned aa ";
	if($search && $category_id != 0) {
		$sql .= ", " . $table_prefix . "articles_categories ac ";
	}
	$sql .= " WHERE a.article_id = aa.article_id ";
	if($search && $category_id != 0) {
		$sql .= " AND ac.category_id = aa.category_id ";
		$sql .= " AND (aa.category_id = " . $db->tosql($category_id, INTEGER);
		$sql .= " OR c.category_path LIKE '" . $db->tosql($tree->get_path($category_id), TEXT, false) . "%')";
	} else if(!$search) {
		$sql .= " AND aa.category_id = " . $db->tosql($category_id, INTEGER);
	}
	if($search) {
		$sa = split(" ", $s);
		for($si = 0; $si < sizeof($sa); $si++) {
			$sql .= " AND a.article_title LIKE '%" . $db->tosql($sa[$si], TEXT, false) . "%'";
		}
	}
	$sql .= " GROUP BY a.article_id, a.article_title, aa.category_id, a.article_order ";
	$sql .= " ORDER BY a.article_order ";

	$db->query($sql);
	if($db->next_record())
	{
		$t->parse("articles_order_link", false);
		$t->set_var("category_id", $category_id);
		$t->set_var("no_items", "");
		do
		{

			$t->set_var("article_category_id", $db->f("category_id"));
			$t->set_var("article_id", $db->f("article_id"));
			$article_title = $db->f("article_title");
			if($search) {
				for($si = 0; $si < sizeof($sa); $si++) {
					$article_title = preg_replace ("/(" . $sa[$si] . ")/i", "<b>\\1</b>", $article_title);					
				}
			}
			$t->set_var("article_title", $article_title);
			$t->parse("items_list");
		} while ($db->next_record());
		$t->parse("items_header", false);
	}
	else
	{
		$t->set_var("articles_order_link", "");
		$t->set_var("items_list", "");
		$t->parse("no_items");
	}

	// set up search form parameters
	$values_before[] = array("", "All Categories");
	if($category_id != 0) {
		$values_before[] = array($category_id, "Current Category");
	}

	$sql  = " SELECT category_id, category_name ";
	$sql .= " FROM " . $table_prefix . "articles_categories WHERE parent_category_id = " . $db->tosql($category_id, INTEGER);
	$sql .= " ORDER BY category_order ";
	$sc_values = get_db_values($sql, $values_before);

	set_options($sc_values, $sc, "sc");
	$t->set_var("s", $s);
	if($search) {
		$t->parse("s_d", false);
	}

	$t->parse("items_block", false);

	$t->pparse("main");

?>